Bulk add members to a workspace

Add multiple organization members to a workspace. Members are assigned the same role they hold in the organization. Management key required.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequired>=1 character

The workspace ID (UUID) or slug

Request

This endpoint expects an object.
user_idslist of stringsRequired
List of user IDs to add to the workspace. Members are assigned the same role they hold in the organization.

Response

Members added successfully
added_countinteger
Number of workspace memberships created or updated
datalist of objects
List of added workspace memberships

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error